Create sets
curl --request POST \
--url https://api.yume.cloud/v1/crm/inventories/sets/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"unique_id": "<string>",
"image": "<string>",
"category": 123,
"price": "<string>",
"discount": 123,
"static": true,
"extra": "<unknown>",
"published": true
}
'import requests
url = "https://api.yume.cloud/v1/crm/inventories/sets/"
payload = {
"name": "<string>",
"unique_id": "<string>",
"image": "<string>",
"category": 123,
"price": "<string>",
"discount": 123,
"static": True,
"extra": "<unknown>",
"published": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
unique_id: '<string>',
image: '<string>',
category: 123,
price: '<string>',
discount: 123,
static: true,
extra: '<unknown>',
published: true
})
};
fetch('https://api.yume.cloud/v1/crm/inventories/sets/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "<string>",
"status": 123,
"prices": [
{
"name": "<string>",
"period_id": 123,
"price": "<string>",
"id": 123,
"order": 123
}
],
"items": [
{
"count": 123,
"group_id": 123,
"group_name": "<string>",
"group_unique_id": "<string>",
"group_category": 123,
"group_image": "<string>",
"inventories_count": 0,
"inventories_free": 0,
"id": 123,
"alternative": 123,
"required": true
}
],
"deleted": true,
"unique_id": "<string>",
"image": "<string>",
"category": 123,
"price": "<string>",
"discount": 123,
"static": true,
"extra": "<unknown>",
"published": true
}inventories
Create sets
POST
/
v1
/
crm
/
inventories
/
sets
/
Create sets
Авторизации
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Заголовки
Компания, в контексте которой выполняется запрос — её id из GET /v1/tenant/. Пользователь должен состоять в этой компании: чужой id доступа к данным не даёт. Без заголовка компания определяется по домену запроса.
Тело
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Ответ
201 - application/json
Maximum string length:
255Show child attributes
Show child attributes
Show child attributes
Show child attributes
Maximum string length:
255Pattern:
^-?\d{0,14}(?:\.\d{0,2})?$